Bug Hunting Session
Bug 80027 - Word joiner (U+2060) after space (U+0020) should prevent a line break
Summary: Word joiner (U+2060) after space (U+0020) should prevent a line break
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Formatting-Mark
  Show dependency treegraph
 
Reported: 2014-06-14 15:31 UTC by Simo Kaupinmäki
Modified: 2016-09-22 04:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
A set of test cases (14.39 KB, application/vnd.oasis.opendocument.text)
2014-06-14 15:33 UTC, Simo Kaupinmäki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simo Kaupinmäki 2014-06-14 15:31:32 UTC
A word joiner (U+2060) added directly before or after a regular space (U+0020) should cancel the line break opportunity normally offered by the space. This seems to be the case if a word joiner is positioned directly before a space. However, if the word joiner is positioned directly after the space, LO allows a line break (unless the previous word is the first word in the paragraph and not hyphenated). In addition, if a word joiner is added both before and after the space, the first word joiner seems to have no effect at all.

After a thin space (U+2009), a word joiner properly prevents a line break from happening.

The correct non-breaking behaviour of WJ × SP or SP × WJ can be verified in the Line Break Chart of the Unicode standard (version 6.3.0):

http://www.unicode.org/Public/UNIDATA/auxiliary/LineBreakTest.html

Reproducible: always
Found in LO 3.5.4.2 (on Debian stable), 4.2.4.2 (on Windows), and 4.3.0.0.beta2 (on both Debian and Windows)

See bug 57652 for further discussion about word joiner. The issue described there looks a little more complicated, but these issues may be related.

(Bug 80000 may also be related as regards the different line-breaking behaviour of the first word in the paragraph.)
Comment 1 Simo Kaupinmäki 2014-06-14 15:33:39 UTC
Created attachment 101052 [details]
A set of test cases
Comment 2 Yousuf Philips (jay) (retired) 2014-06-14 22:18:59 UTC
Confirmed on Linux Mint with 4.2.4. This is similar to bug 80000, though that bug did feature U+2010 and not U+2009.
Comment 3 QA Administrators 2015-07-18 17:42:42 UTC Comment hidden (obsolete)
Comment 4 Adolfo Jayme 2015-07-19 22:22:28 UTC
Valid enhancement still.
Comment 5 QA Administrators 2016-09-20 10:17:56 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920